﻿<?xml version="1.0" encoding="utf-8" ?>
<forms:BaseContentPage xmlns:forms="clr-namespace:Storm.Mvvm.Forms;assembly=Storm.Mvvm.Forms"
                       xmlns="http://xamarin.com/schemas/2014/forms"
                       xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"                       
                       xmlns:viewModels="clr-namespace:TimeTracker.Apps.ViewModels;assembly=TimeTracker.Apps"
                       xmlns:model="clr-namespace:TimeTracker.Apps.Model;assembly=TimeTracker.Apps"
                       x:DataType="viewModels:ListProjectsViewModel"
                       x:Class="TimeTracker.Apps.Pages.ListProjectsPage">

    <ContentPage.ToolbarItems>
        <ToolbarItem IconImageSource="home.png"
                     Order="Primary"
                     Command="{Binding HomeCommand}"
                     Priority="0" />
        <ToolbarItem IconImageSource="logout.png"
                     Order="Primary"
                     Command="{Binding LogoutCommand}"
                     Priority="1" />
    </ContentPage.ToolbarItems>
    
    
    <ContentPage.Resources>
        <DataTemplate x:DataType="model:Project" x:Key="ProjectTemplate">
            <ViewCell>
                <StackLayout Orientation="Vertical" HorizontalOptions="FillAndExpand">

                    <StackLayout Orientation="Horizontal" VerticalOptions="Center">
                        
                        <Label Text="{Binding ProjectItem.Id, StringFormat='ID{0}'}"
                               Style="{DynamicResource Style_Label1}"
                               VerticalOptions="Center"/>

                        <StackLayout Orientation="Horizontal" HorizontalOptions="EndAndExpand">
                            <Button Image="detail.png"
                                    Command="{Binding ShowTasksCommand}"
                                    CommandParameter="{Binding .}"
                                    Style="{StaticResource Style_IconButton}"/>

                            <Button Image="edit.png"
                                    Command="{Binding EditProjectCommand}"
                                    CommandParameter="{Binding .}"
                                    Style="{StaticResource Style_IconButton}"/>

                            <Button Image="delete.png"
                                    Command="{Binding DeleteProjectCommand}"
                                    CommandParameter="{Binding .}"
                                    Style="{StaticResource Style_IconButton}"/>
                        </StackLayout>
                    </StackLayout>

                    <Label Text="{Binding ProjectItem.Name}"
                           Style="{StaticResource Style_Label1}"/>
                    <Label Text="{Binding ProjectItem.Description}"
                           Style="{StaticResource Style_Label2}"/>
                </StackLayout>
            </ViewCell>
        </DataTemplate>
    </ContentPage.Resources>

    <AbsoluteLayout VerticalOptions="FillAndExpand" HorizontalOptions="FillAndExpand">

        <StackLayout AbsoluteLayout.LayoutBounds="0,0,1,1"
                     AbsoluteLayout.LayoutFlags="All">
            <Label Text="Liste des projets"
                   Style="{DynamicResource Style_Title}"/>
            <Grid RowDefinitions="*, Auto" Margin="{StaticResource Margin}">

                <ListView ItemsSource="{Binding Projects}"
                          Grid.Row="0"
                          HasUnevenRows="True"
                          SeparatorColor="Black"
                          ItemTemplate="{StaticResource ProjectTemplate}"/>
            </Grid>

            <Button Text ="Statistique" Command="{Binding ShowProjectsChartCommand}"/>
            <Button Text="Ajouter un projet" Command="{Binding AddCommand}"/>
        </StackLayout>

        <ContentView AbsoluteLayout.LayoutBounds="0,0,1,1"
                     AbsoluteLayout.LayoutFlags="All"
                     IsVisible="{Binding IsLoading}" >
            <ActivityIndicator IsRunning="{Binding IsLoading}" VerticalOptions="Center" HorizontalOptions="Center" />
        </ContentView>
    </AbsoluteLayout>
    
</forms:BaseContentPage>